Skip to main content
POST
/
wallets
Create wallet
curl --request POST \
  --url https://api.truust.io/2.0/wallets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_type": "user",
  "customer_id": 7485,
  "currency": "EUR",
  "tag": "bills"
}
'
{
  "id": 123,
  "self": "<string>",
  "uuid": "<string>",
  "type": "<string>",
  "balance": 250,
  "currency": "EUR",
  "tag": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Body

application/json
currency
string
required

ISO 4217 currency code.

Example:

"EUR"

customer_id
integer

Customer ID to assign the wallet to. Required unless customer_type is source.

Example:

42

customer_type
enum<string>

Pass source to create a wallet for the authenticated account. Pass user for a customer wallet (use with customer_id).

Available options:
source,
user
type
enum<string>

Optional wallet provider type.

Available options:
CURRENCYCLOUD,
CLEARJUNCTION
tag
string
Maximum string length: 100
metadata
object

Response

Wallet created

id
integer
self
string
uuid
string
type
string | null

Wallet provider type (e.g. CLEARJUNCTION, CURRENCYCLOUD). Null for standard wallets.

balance
number<float>
Example:

250

currency
string
Example:

"EUR"

tag
string | null
metadata
object
created_at
string<date-time> | null
connections
object

Hypermedia links to related resources.